import os, psutil, collections
from uuid import getnode
PORT = os.environ.get('AP_PORT')
HOST = os.environ.get('AP_HOST')
HANDSHAKE = os.environ.get('AP_HANDSHAKE')
Result = collections.namedtuple('Result', 'id,result,error')

class Android(object):

    def __init__(self, addr=None):
        pass

    @staticmethod
    def _authenticate(args):
        return True

    @staticmethod
    def getAceStreamHome():
        return os.path.abspath(os.curdir)

    @staticmethod
    def makeToast(msg):
        print msg

    @staticmethod
    def getDeviceName():
        return 'Linux Generic Device'

    @staticmethod
    def getDeviceModel():
        return str(os.uname())

    @staticmethod
    def getDeviceProductName():
        return 'Linux Generic'

    @staticmethod
    def getDisplayLanguage():
        return 'english'

    @staticmethod
    def getRAMSize():
        return psutil.virtual_memory().total

    @staticmethod
    def getTotalMemory():
        return psutil.virtual_memory().total

    @staticmethod
    def getMaxMemory():
        return psutil.virtual_memory().free

    @staticmethod
    def getTotalBytes():
        return psutil.virtual_memory().total

    @staticmethod
    def getFreeBytes():
        return psutil.virtual_memory().cached

    @staticmethod
    def getMemoryClass():
        return 16

    @staticmethod
    def getDeviceId():
        mac = hex(getnode()).replace('0x', '')
        return ('').join([ mac[i:i + 2] for i in range(0, 11, 2) ])

    @staticmethod
    def getDeviceABI():
        return 'x86'

    @staticmethod
    def getBlockSize(self):
        return 1024

    @staticmethod
    def getBlockCount(self):
        return psutil.disk_usage('/').total/1024

    @staticmethod
    def getAvailableBlocks(self):
        return psutil.disk_usage('/').free/1024

    @staticmethod
    def onEPGUpdated():
        pass

    @staticmethod
    def onPlaylistUpdated():
        pass
